<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: ADC Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">ADC Exported Functions<div class="ingroups"><a class="el" href="../../da/d7c/group___m_i_n_i51___device___driver.html">MINI51 Device Driver</a> &raquo; <a class="el" href="../../d8/d92/group___m_i_n_i51___a_d_c___driver.html">ADC Driver</a> &raquo; <a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">ADC Exported Constants</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for ADC Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#ad9_2d69_2group______m__i__n__i51______a__d__c______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
<map name="ad9_2d69_2group______m__i__n__i51______a__d__c______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" id="ad9_2d69_2group______m__i__n__i51______a__d__c______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s">
<area shape="rect" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html" title=" " alt="" coords="5,5,173,31"/>
<area shape="rect" title=" " alt="" coords="221,5,388,31"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga301560c7719827fc818216a8a2b1e9b2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga301560c7719827fc818216a8a2b1e9b2">ADC_CONFIG_CH7</a>(adc,  u32Source)</td></tr>
<tr class="memdesc:ga301560c7719827fc818216a8a2b1e9b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure the analog input source of channel 7.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga301560c7719827fc818216a8a2b1e9b2">More...</a><br /></td></tr>
<tr class="separator:ga301560c7719827fc818216a8a2b1e9b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga348ede2ad296ea3bd6d1762e5a40792c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348ede2ad296ea3bd6d1762e5a40792c">ADC_GET_CONVERSION_DATA</a>(adc,  u32ChNum)</td></tr>
<tr class="memdesc:ga348ede2ad296ea3bd6d1762e5a40792c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the latest ADC conversion data.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348ede2ad296ea3bd6d1762e5a40792c">More...</a><br /></td></tr>
<tr class="separator:ga348ede2ad296ea3bd6d1762e5a40792c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga708c39981374e8a7521a76bfa4b8ff3d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga708c39981374e8a7521a76bfa4b8ff3d">ADC_GET_INT_FLAG</a>(adc,  u32Mask)</td></tr>
<tr class="memdesc:ga708c39981374e8a7521a76bfa4b8ff3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the user-specified interrupt flags.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga708c39981374e8a7521a76bfa4b8ff3d">More...</a><br /></td></tr>
<tr class="separator:ga708c39981374e8a7521a76bfa4b8ff3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga468c4f6f057eaac800914c0b11a1637a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga468c4f6f057eaac800914c0b11a1637a">ADC_CLR_INT_FLAG</a>(adc,  u32Mask)</td></tr>
<tr class="memdesc:ga468c4f6f057eaac800914c0b11a1637a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clear the selected interrupt status bits.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga468c4f6f057eaac800914c0b11a1637a">More...</a><br /></td></tr>
<tr class="separator:ga468c4f6f057eaac800914c0b11a1637a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadc0053e6e706e74676beb837989c8a19"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadc0053e6e706e74676beb837989c8a19">ADC_IS_BUSY</a>(adc)</td></tr>
<tr class="memdesc:gadc0053e6e706e74676beb837989c8a19"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the busy state of ADC.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadc0053e6e706e74676beb837989c8a19">More...</a><br /></td></tr>
<tr class="separator:gadc0053e6e706e74676beb837989c8a19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga35ce5b09aaa4fa7f4f80da7db939a6cf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35ce5b09aaa4fa7f4f80da7db939a6cf">ADC_IS_DATA_OVERRUN</a>(adc,  u32ChNum)</td></tr>
<tr class="memdesc:ga35ce5b09aaa4fa7f4f80da7db939a6cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if the ADC conversion data is over written or not.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35ce5b09aaa4fa7f4f80da7db939a6cf">More...</a><br /></td></tr>
<tr class="separator:ga35ce5b09aaa4fa7f4f80da7db939a6cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab4fb6ce4b41601827dd291a283fee1b9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab4fb6ce4b41601827dd291a283fee1b9">ADC_IS_DATA_VALID</a>(adc,  u32ChNum)</td></tr>
<tr class="memdesc:gab4fb6ce4b41601827dd291a283fee1b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if the ADC conversion data is valid or not.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab4fb6ce4b41601827dd291a283fee1b9">More...</a><br /></td></tr>
<tr class="separator:gab4fb6ce4b41601827dd291a283fee1b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga21a643f0dc98000be2a75e949a4ab13b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21a643f0dc98000be2a75e949a4ab13b">ADC_POWER_DOWN</a>(adc)</td></tr>
<tr class="memdesc:ga21a643f0dc98000be2a75e949a4ab13b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Power down ADC module.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21a643f0dc98000be2a75e949a4ab13b">More...</a><br /></td></tr>
<tr class="separator:ga21a643f0dc98000be2a75e949a4ab13b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga781f92e0e406d725fbc8b475545e4804"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga781f92e0e406d725fbc8b475545e4804">ADC_POWER_ON</a>(adc)</td></tr>
<tr class="memdesc:ga781f92e0e406d725fbc8b475545e4804"><td class="mdescLeft">&#160;</td><td class="mdescRight">Power on ADC module.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga781f92e0e406d725fbc8b475545e4804">More...</a><br /></td></tr>
<tr class="separator:ga781f92e0e406d725fbc8b475545e4804"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1c57f56dff82e5fe93379d5a5d541901"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1c57f56dff82e5fe93379d5a5d541901">ADC_ENABLE_CMP0</a>(adc,  u32ChNum,  u32Condition,  u32Data,  u32MatchCount)</td></tr>
<tr class="memdesc:ga1c57f56dff82e5fe93379d5a5d541901"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure the comparator 0 and enable it.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1c57f56dff82e5fe93379d5a5d541901">More...</a><br /></td></tr>
<tr class="separator:ga1c57f56dff82e5fe93379d5a5d541901"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf9488cca5de5aac395872d0cd0174054"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf9488cca5de5aac395872d0cd0174054">ADC_DISABLE_CMP0</a>(adc)</td></tr>
<tr class="memdesc:gaf9488cca5de5aac395872d0cd0174054"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable comparator 0.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf9488cca5de5aac395872d0cd0174054">More...</a><br /></td></tr>
<tr class="separator:gaf9488cca5de5aac395872d0cd0174054"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga54a951c643d6f36f9b09c401d2d5c69f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga54a951c643d6f36f9b09c401d2d5c69f">ADC_ENABLE_CMP1</a>(adc,  u32ChNum,  u32Condition,  u32Data,  u32MatchCount)</td></tr>
<tr class="memdesc:ga54a951c643d6f36f9b09c401d2d5c69f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure the comparator 1 and enable it.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga54a951c643d6f36f9b09c401d2d5c69f">More...</a><br /></td></tr>
<tr class="separator:ga54a951c643d6f36f9b09c401d2d5c69f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1151fa0624c494ea2b25aa845fd5b13"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf1151fa0624c494ea2b25aa845fd5b13">ADC_DISABLE_CMP1</a>(adc)</td></tr>
<tr class="memdesc:gaf1151fa0624c494ea2b25aa845fd5b13"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable comparator 1.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf1151fa0624c494ea2b25aa845fd5b13">More...</a><br /></td></tr>
<tr class="separator:gaf1151fa0624c494ea2b25aa845fd5b13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga397f75687c2af60f55f2ad2a6f3fecef"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga397f75687c2af60f55f2ad2a6f3fecef">ADC_SET_INPUT_CHANNEL</a>(adc,  u32Mask)</td></tr>
<tr class="memdesc:ga397f75687c2af60f55f2ad2a6f3fecef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set ADC input channel. Enabled channel will be converted while ADC starts.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga397f75687c2af60f55f2ad2a6f3fecef">More...</a><br /></td></tr>
<tr class="separator:ga397f75687c2af60f55f2ad2a6f3fecef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc4222d33d064592ddb8443a80762b62"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc4222d33d064592ddb8443a80762b62">ADC_START_CONV</a>(adc)</td></tr>
<tr class="memdesc:gafc4222d33d064592ddb8443a80762b62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start the A/D conversion.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc4222d33d064592ddb8443a80762b62">More...</a><br /></td></tr>
<tr class="separator:gafc4222d33d064592ddb8443a80762b62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4d920efefa341fd66884a04964d2e217"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4d920efefa341fd66884a04964d2e217">ADC_STOP_CONV</a>(adc)</td></tr>
<tr class="memdesc:ga4d920efefa341fd66884a04964d2e217"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop the A/D conversion.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4d920efefa341fd66884a04964d2e217">More...</a><br /></td></tr>
<tr class="separator:ga4d920efefa341fd66884a04964d2e217"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga7033da903c767e3fcd564d1695a43fac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">ADC_Open</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32InputMode, uint32_t u32OpMode, uint32_t u32ChMask)</td></tr>
<tr class="memdesc:ga7033da903c767e3fcd564d1695a43fac"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API configures ADC module to be ready for convert the input from selected channel.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">More...</a><br /></td></tr>
<tr class="separator:ga7033da903c767e3fcd564d1695a43fac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga68854f8ea2f77c73a8cf029034ec4885"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">ADC_Close</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc)</td></tr>
<tr class="memdesc:ga68854f8ea2f77c73a8cf029034ec4885"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable ADC module.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">More...</a><br /></td></tr>
<tr class="separator:ga68854f8ea2f77c73a8cf029034ec4885"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga685b6f8aa3a0f1fea8992f0f105e7241"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">ADC_EnableHWTrigger</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Source, uint32_t u32Param)</td></tr>
<tr class="memdesc:ga685b6f8aa3a0f1fea8992f0f105e7241"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure the hardware trigger condition and enable hardware trigger.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">More...</a><br /></td></tr>
<tr class="separator:ga685b6f8aa3a0f1fea8992f0f105e7241"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9703215cf92463b8c79f486aa6270ca8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">ADC_DisableHWTrigger</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc)</td></tr>
<tr class="memdesc:ga9703215cf92463b8c79f486aa6270ca8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable hardware trigger ADC function.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">More...</a><br /></td></tr>
<tr class="separator:ga9703215cf92463b8c79f486aa6270ca8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6adcefbb9e5bc5aa9ea0741d028532fd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">ADC_SetExtraSampleTime</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32ChNum, uint32_t u32SampleTime)</td></tr>
<tr class="memdesc:ga6adcefbb9e5bc5aa9ea0741d028532fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set ADC sample time for designated channel.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">More...</a><br /></td></tr>
<tr class="separator:ga6adcefbb9e5bc5aa9ea0741d028532fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa17b8a283b2eebe8bfb193056c7fed35"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">ADC_EnableInt</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Mask)</td></tr>
<tr class="memdesc:gaa17b8a283b2eebe8bfb193056c7fed35"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the interrupt(s) selected by u32Mask parameter.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">More...</a><br /></td></tr>
<tr class="separator:gaa17b8a283b2eebe8bfb193056c7fed35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7064e6cb526c985efcdb85a4644c5d4e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">ADC_DisableInt</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Mask)</td></tr>
<tr class="memdesc:ga7064e6cb526c985efcdb85a4644c5d4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable the interrupt(s) selected by u32Mask parameter.  <a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">More...</a><br /></td></tr>
<tr class="separator:ga7064e6cb526c985efcdb85a4644c5d4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga468c4f6f057eaac800914c0b11a1637a" name="ga468c4f6f057eaac800914c0b11a1637a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga468c4f6f057eaac800914c0b11a1637a">&#9670;&nbsp;</a></span>ADC_CLR_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_CLR_INT_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Mask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro clear the selected interrupt status bits. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>The combination of following interrupt status bits. Each bit corresponds to a interrupt status.<ul>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40dde4ccecc2ebea0a175cd68431ad5d">ADC_ADF_INT</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41c48b26f935a8b70e8199d52c3581db">ADC_CMP0_INT</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90d906eaa07da4d1856dffc04be5ed8">ADC_CMP1_INT</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00108">108</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<a id="ga301560c7719827fc818216a8a2b1e9b2" name="ga301560c7719827fc818216a8a2b1e9b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga301560c7719827fc818216a8a2b1e9b2">&#9670;&nbsp;</a></span>ADC_CONFIG_CH7</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_CONFIG_CH7</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Source&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configure the analog input source of channel 7. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Source</td><td>Decides the analog input source of channel 7, valid values are<ul>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabddd4e229c828ddc281d532bb71910d0">ADC_CH7_EXT</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7d5639d4878d3e3dd4989bab85ae6b19">ADC_CH7_BGP</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>While using VBG as channel 7 source, ADC module clock must /b not exceed 300kHz </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00075">75</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<a id="gaf9488cca5de5aac395872d0cd0174054" name="gaf9488cca5de5aac395872d0cd0174054"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf9488cca5de5aac395872d0cd0174054">&#9670;&nbsp;</a></span>ADC_DISABLE_CMP0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_DISABLE_CMP0</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable comparator 0. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00190">190</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<a id="gaf1151fa0624c494ea2b25aa845fd5b13" name="gaf1151fa0624c494ea2b25aa845fd5b13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf1151fa0624c494ea2b25aa845fd5b13">&#9670;&nbsp;</a></span>ADC_DISABLE_CMP1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_DISABLE_CMP1</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable comparator 1. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00222">222</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<a id="ga1c57f56dff82e5fe93379d5a5d541901" name="ga1c57f56dff82e5fe93379d5a5d541901"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1c57f56dff82e5fe93379d5a5d541901">&#9670;&nbsp;</a></span>ADC_ENABLE_CMP0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_ENABLE_CMP0</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Condition, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Data, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32MatchCount&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configure the comparator 0 and enable it. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>Specifies the source channel, valid value are from 0 to 7 </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Condition</td><td>Specifies the compare condition<ul>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab680e42784b0cef09b59dd50cdd925f5">ADC_CMP_LESS_THAN</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0982f22ea10167b3fbaeea4d7dff8c15">ADC_CMP_GREATER_OR_EQUAL_TO</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Data</td><td>Specifies the compare value. Valid value are between 0 ~ 0x3FF </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32MatchCount</td><td>Specifies the match count setting, valid values are between 1~16 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>For example, <a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1c57f56dff82e5fe93379d5a5d541901" title="Configure the comparator 0 and enable it.">ADC_ENABLE_CMP0(ADC, 5, ADC_CMP_GREATER_OR_EQUAL_TO, 0x800, 10)</a>; Means ADC will assert comparator 0 flag if channel 5 conversion result is greater or equal to 0x800 for 10 times continuously. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00175">175</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<a id="ga54a951c643d6f36f9b09c401d2d5c69f" name="ga54a951c643d6f36f9b09c401d2d5c69f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga54a951c643d6f36f9b09c401d2d5c69f">&#9670;&nbsp;</a></span>ADC_ENABLE_CMP1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_ENABLE_CMP1</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Condition, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Data, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32MatchCount&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configure the comparator 1 and enable it. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>Specifies the source channel, valid value are from 0 to 7 </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Condition</td><td>Specifies the compare condition<ul>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab680e42784b0cef09b59dd50cdd925f5">ADC_CMP_LESS_THAN</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0982f22ea10167b3fbaeea4d7dff8c15">ADC_CMP_GREATER_OR_EQUAL_TO</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Data</td><td>Specifies the compare value. Valid value are between 0 ~ 0x3FF </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32MatchCount</td><td>Specifies the match count setting, valid values are between 1~16 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>For example, <a class="el" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga54a951c643d6f36f9b09c401d2d5c69f" title="Configure the comparator 1 and enable it.">ADC_ENABLE_CMP1(ADC, 5, ADC_CMP_GREATER_OR_EQUAL_TO, 0x800, 10)</a>; Means ADC will assert comparator 1 flag if channel 5 conversion result is greater or equal to 0x800 for 10 times continuously. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00207">207</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<a id="ga348ede2ad296ea3bd6d1762e5a40792c" name="ga348ede2ad296ea3bd6d1762e5a40792c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga348ede2ad296ea3bd6d1762e5a40792c">&#9670;&nbsp;</a></span>ADC_GET_CONVERSION_DATA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_GET_CONVERSION_DATA</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the latest ADC conversion data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>Currently not used </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Latest ADC conversion data </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00084">84</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<a id="ga708c39981374e8a7521a76bfa4b8ff3d" name="ga708c39981374e8a7521a76bfa4b8ff3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga708c39981374e8a7521a76bfa4b8ff3d">&#9670;&nbsp;</a></span>ADC_GET_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_GET_INT_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Mask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return the user-specified interrupt flags. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>The combination of following interrupt status bits. Each bit corresponds to a interrupt status.<ul>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40dde4ccecc2ebea0a175cd68431ad5d">ADC_ADF_INT</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41c48b26f935a8b70e8199d52c3581db">ADC_CMP0_INT</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90d906eaa07da4d1856dffc04be5ed8">ADC_CMP1_INT</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>User specified interrupt flags </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00096">96</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<a id="gadc0053e6e706e74676beb837989c8a19" name="gadc0053e6e706e74676beb837989c8a19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gadc0053e6e706e74676beb837989c8a19">&#9670;&nbsp;</a></span>ADC_IS_BUSY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_IS_BUSY</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the busy state of ADC. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>busy state of ADC </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>ADC is not busy </td></tr>
    <tr><td class="paramname">1</td><td>ADC is busy </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00120">120</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<a id="ga35ce5b09aaa4fa7f4f80da7db939a6cf" name="ga35ce5b09aaa4fa7f4f80da7db939a6cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga35ce5b09aaa4fa7f4f80da7db939a6cf">&#9670;&nbsp;</a></span>ADC_IS_DATA_OVERRUN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_IS_DATA_OVERRUN</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check if the ADC conversion data is over written or not. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>Currently not used </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Over run state of ADC data </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>ADC data is not overrun </td></tr>
    <tr><td class="paramname">1</td><td>ADC data us overrun </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00131">131</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<a id="gab4fb6ce4b41601827dd291a283fee1b9" name="gab4fb6ce4b41601827dd291a283fee1b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab4fb6ce4b41601827dd291a283fee1b9">&#9670;&nbsp;</a></span>ADC_IS_DATA_VALID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_IS_DATA_VALID</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check if the ADC conversion data is valid or not. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>Currently not used </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Valid state of ADC data </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>ADC data is not valid </td></tr>
    <tr><td class="paramname">1</td><td>ADC data us valid </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00142">142</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<a id="ga21a643f0dc98000be2a75e949a4ab13b" name="ga21a643f0dc98000be2a75e949a4ab13b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga21a643f0dc98000be2a75e949a4ab13b">&#9670;&nbsp;</a></span>ADC_POWER_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_POWER_DOWN</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Power down ADC module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00150">150</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<a id="ga781f92e0e406d725fbc8b475545e4804" name="ga781f92e0e406d725fbc8b475545e4804"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga781f92e0e406d725fbc8b475545e4804">&#9670;&nbsp;</a></span>ADC_POWER_ON</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_POWER_ON</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Power on ADC module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00158">158</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<a id="ga397f75687c2af60f55f2ad2a6f3fecef" name="ga397f75687c2af60f55f2ad2a6f3fecef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga397f75687c2af60f55f2ad2a6f3fecef">&#9670;&nbsp;</a></span>ADC_SET_INPUT_CHANNEL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_SET_INPUT_CHANNEL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Mask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set ADC input channel. Enabled channel will be converted while ADC starts. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>Channel enable bit. Each bit corresponds to a input channel. Bit 0 is channel 0, bit 1 is channel 1... </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>Mini51 series MCU ADC can only convert 1 channel at a time. If more than 1 channels are enabled, only channel with smallest number will be convert. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00233">233</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<a id="gafc4222d33d064592ddb8443a80762b62" name="gafc4222d33d064592ddb8443a80762b62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafc4222d33d064592ddb8443a80762b62">&#9670;&nbsp;</a></span>ADC_START_CONV</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_START_CONV</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Start the A/D conversion. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00241">241</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<a id="ga4d920efefa341fd66884a04964d2e217" name="ga4d920efefa341fd66884a04964d2e217"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4d920efefa341fd66884a04964d2e217">&#9670;&nbsp;</a></span>ADC_STOP_CONV</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_STOP_CONV</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">adc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stop the A/D conversion. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d19/adc_8h_source.html#l00249">249</a> of file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ga68854f8ea2f77c73a8cf029034ec4885" name="ga68854f8ea2f77c73a8cf029034ec4885"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga68854f8ea2f77c73a8cf029034ec4885">&#9670;&nbsp;</a></span>ADC_Close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ADC_Close </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *&#160;</td>
          <td class="paramname"><em>adc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable ADC module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/d01/adc_8c_source.html#l00054">54</a> of file <a class="el" href="../../de/d01/adc_8c_source.html">adc.c</a>.</p>

</div>
</div>
<a id="ga9703215cf92463b8c79f486aa6270ca8" name="ga9703215cf92463b8c79f486aa6270ca8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9703215cf92463b8c79f486aa6270ca8">&#9670;&nbsp;</a></span>ADC_DisableHWTrigger()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ADC_DisableHWTrigger </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *&#160;</td>
          <td class="paramname"><em>adc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable hardware trigger ADC function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/d01/adc_8c_source.html#l00098">98</a> of file <a class="el" href="../../de/d01/adc_8c_source.html">adc.c</a>.</p>

</div>
</div>
<a id="ga7064e6cb526c985efcdb85a4644c5d4e" name="ga7064e6cb526c985efcdb85a4644c5d4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7064e6cb526c985efcdb85a4644c5d4e">&#9670;&nbsp;</a></span>ADC_DisableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ADC_DisableInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *&#160;</td>
          <td class="paramname"><em>adc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable the interrupt(s) selected by u32Mask parameter. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>The combination of interrupt status bits listed below. Each bit corresponds to a interrupt status. This parameter decides which interrupts will be disabled.<ul>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40dde4ccecc2ebea0a175cd68431ad5d">ADC_ADF_INT</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41c48b26f935a8b70e8199d52c3581db">ADC_CMP0_INT</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90d906eaa07da4d1856dffc04be5ed8">ADC_CMP1_INT</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/d01/adc_8c_source.html#l00164">164</a> of file <a class="el" href="../../de/d01/adc_8c_source.html">adc.c</a>.</p>

</div>
</div>
<a id="ga685b6f8aa3a0f1fea8992f0f105e7241" name="ga685b6f8aa3a0f1fea8992f0f105e7241"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga685b6f8aa3a0f1fea8992f0f105e7241">&#9670;&nbsp;</a></span>ADC_EnableHWTrigger()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ADC_EnableHWTrigger </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *&#160;</td>
          <td class="paramname"><em>adc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Param</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configure the hardware trigger condition and enable hardware trigger. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Source</td><td>Decides the hardware trigger source. Valid values are:<ul>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab00b676b7a485e344250465c7379356c">ADC_TRIGGER_BY_EXT_PIN</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6406d16f2d4bcc5bd0f1f1f58f26850e">ADC_TRIGGER_BY_PWM</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Param</td><td>While ADC trigger by PWM, this parameter is used to set the delay between PWM trigger and ADC conversion. Valid values are from 0 ~ 0xFF, and actual delay time is (4 * u32Param * HCLK). While ADC trigger by external pin, this parameter is used to set trigger condition. Valid values are:<ul>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf7a0741d0522d5a08c1ae355cce24f02">ADC_FALLING_EDGE_TRIGGER</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae3e21aed15e5d2625c55e335f3e940e8">ADC_RISING_EDGE_TRIGGER</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/d01/adc_8c_source.html#l00076">76</a> of file <a class="el" href="../../de/d01/adc_8c_source.html">adc.c</a>.</p>

</div>
</div>
<a id="gaa17b8a283b2eebe8bfb193056c7fed35" name="gaa17b8a283b2eebe8bfb193056c7fed35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa17b8a283b2eebe8bfb193056c7fed35">&#9670;&nbsp;</a></span>ADC_EnableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ADC_EnableInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *&#160;</td>
          <td class="paramname"><em>adc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable the interrupt(s) selected by u32Mask parameter. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>The combination of interrupt status bits listed below. Each bit corresponds to a interrupt status. This parameter decides which interrupts will be enabled.<ul>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40dde4ccecc2ebea0a175cd68431ad5d">ADC_ADF_INT</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41c48b26f935a8b70e8199d52c3581db">ADC_CMP0_INT</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90d906eaa07da4d1856dffc04be5ed8">ADC_CMP1_INT</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/d01/adc_8c_source.html#l00141">141</a> of file <a class="el" href="../../de/d01/adc_8c_source.html">adc.c</a>.</p>

</div>
</div>
<a id="ga7033da903c767e3fcd564d1695a43fac" name="ga7033da903c767e3fcd564d1695a43fac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7033da903c767e3fcd564d1695a43fac">&#9670;&nbsp;</a></span>ADC_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ADC_Open </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *&#160;</td>
          <td class="paramname"><em>adc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32InputMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32OpMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ChMask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This API configures ADC module to be ready for convert the input from selected channel. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32InputMode</td><td>This parameter is unused </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32OpMode</td><td>This parameter is unused </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChMask</td><td>Channel enable bit. Each bit corresponds to a input channel. Bit 0 is channel 0, bit 1 is channel 1... </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>Mini51 series MCU ADC can only convert 1 channel at a time. If more than 1 channels are enabled, only channel with smallest number will be convert. </dd>
<dd>
This API does not turn on ADC power nor does trigger ADC conversion </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/d01/adc_8c_source.html#l00038">38</a> of file <a class="el" href="../../de/d01/adc_8c_source.html">adc.c</a>.</p>

</div>
</div>
<a id="ga6adcefbb9e5bc5aa9ea0741d028532fd" name="ga6adcefbb9e5bc5aa9ea0741d028532fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6adcefbb9e5bc5aa9ea0741d028532fd">&#9670;&nbsp;</a></span>ADC_SetExtraSampleTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ADC_SetExtraSampleTime </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *&#160;</td>
          <td class="paramname"><em>adc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ChNum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32SampleTime</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set ADC sample time for designated channel. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">adc</td><td>Base address of ADC module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>This parameter is not used </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32SampleTime</td><td>ADC sample ADC time, valid values are<ul>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7163d3184dde38d6b3de98c95093a6f3">ADC_SAMPLE_CLOCK_0</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5399c3ad788c1119c3241eb7f30d98bf">ADC_SAMPLE_CLOCK_1</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga453c4a9d11048c721ac85b4d89360514">ADC_SAMPLE_CLOCK_2</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6bc25df85b7e096549da6e8862340964">ADC_SAMPLE_CLOCK_4</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga81fd3771efc0b851c2cd3553564302f8">ADC_SAMPLE_CLOCK_8</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6867d42e917891188d7d527fe685b6eb">ADC_SAMPLE_CLOCK_16</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga16b3a86728ed59032f8859aab43754f8">ADC_SAMPLE_CLOCK_32</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5c3b6603d45a83a0685b3b076a6ddda9">ADC_SAMPLE_CLOCK_64</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga912fe638a83edabecd8f6e0a18fe626f">ADC_SAMPLE_CLOCK_128</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaca6da4f14fc129e8c8f5d064d594cabc">ADC_SAMPLE_CLOCK_256</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7a4830348c165eb05a2fd0dc9c886369">ADC_SAMPLE_CLOCK_512</a></li>
<li><a class="el" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2f2172cd7044afab8e4557aee08a9e82">ADC_SAMPLE_CLOCK_1024</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../de/d01/adc_8c_source.html#l00123">123</a> of file <a class="el" href="../../de/d01/adc_8c_source.html">adc.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:40 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
